#include "smtp.h"

extern smtpi jtin;

pthread_mutex_t paid_mutex = PTHREAD_MUTEX_INITIALIZER;

void smtp_paid_mtq(void *arg)
   {

   smtp_tu par_o= (smtp_tu) arg;
   char *lcPaid,*lcJID;
   xmlnode loJID,loRPC,loFile,loQuery,loMC,loGroup;
   int liCount;
   pool p=par_o->p;

   if ((lcPaid=xmlnode_get_tag_data(jtin->config,"core/vip"))==NULL)
      {
      pool_free(p);
      return;
      }

   if (pthread_mutex_trylock(&paid_mutex)==EBUSY)
      return;

   if (jtin->tmpPaid!= (xmlnode) NULL)
      {
//      log_warn("smtp","PAID module - tmpPaid is defined");
      xmlnode_free(jtin->tmpPaid);
      }
   jtin->tmpPaid=xmlnode_new_tag("tmpPaid");
   smtp_PoolsReg(3030, xmlnode_pool(jtin->tmpPaid));

   log_notice("smtp","PAID module - START");
   for (loFile = xmlnode_get_tag(jtin->roster_files,"file"); loFile != NULL; loFile = xmlnode_get_nextsibling(loFile))
       {
       if (loFile->type!=NTYPE_TAG)
          continue;


/*
<iq type='set' 
    from='gorila@jabber.cz/Psi' 
    to='rpc@jabbim.cz/service' 
    id='rpc1'>
<query xmlns='jabber:iq:rpc'>
<methodCall>
<methodName>isVIP</methodName>
<params>
<param>
<value><string>jjk@jabbim.cz</string></value>
</param>
</params>
</methodCall>
</query>
</iq>

<iq type='set'     to='rpc@jabbim.cz/service'     id='rpc0000'>
<query xmlns='jabber:iq:rpc'>
<methodCall>
<methodName>isVIPMany</methodName>
<params><param><value>
<array><data>
<value><string>gorila@dione.zcu.cz</string></value>
<value><string>gorila@jabber.cz</string></value>
</data></array>
</value></param></params>
</methodCall>
</query>
</iq>


*/

       liCount=0; 
       // walk all jid in file
       for (loJID = xmlnode_get_tag(loFile,"item"); loJID != NULL; loJID = xmlnode_get_nextsibling(loJID))
           {
           if (loJID->type!=NTYPE_TAG)
               continue;

           lcJID=xmlnode_get_attrib(loJID,"jid");
           if (lcJID!=NULL)
              {
              liCount++; 
              }
           }

       // generuj IsVIPMany pro maximln 100 JID

       // zapi si skupinu souboru a poet JID
       xmlnode_put_attrib((loGroup=xmlnode_insert_tag(jtin->tmpPaid,"file")),"type",xmlnode_get_attrib(loFile,"type"));
       xmlnode_put_attrib(loGroup,"count",smtp_itoa(p,liCount));

       for (loJID = xmlnode_get_tag(loFile,"item"); loJID != NULL; loJID = xmlnode_get_nextsibling(loJID))
           {
           if (loJID->type!=NTYPE_TAG)
               continue;

           lcJID=xmlnode_get_attrib(loJID,"jid");
           if (lcJID!=NULL)
              {
              // poli RPC
              loRPC=xmlnode_new_tag_pool(p,"iq");

              xmlnode_put_attrib(loRPC,"to",lcPaid);
              xmlnode_put_attrib(loRPC,"from",jtin->met);
              xmlnode_put_attrib(loRPC,"type","set");
              xmlnode_put_attrib(loRPC,"id",spools(p,"viprpc-",lcJID,p));

              xmlnode_put_attrib(loQuery=xmlnode_insert_tag(loRPC,"query"),"xmlns",NS_IQ_RPC);

              loMC=xmlnode_insert_tag(loQuery,"methodCall");
              xmlnode_insert_cdata(xmlnode_insert_tag(loMC,"methodName"),"isVIP",-1);
              loMC=xmlnode_insert_tag(loMC,"params");
              loMC=xmlnode_insert_tag(loMC,"param");
              loMC=xmlnode_insert_tag(loMC,"value");
              xmlnode_insert_cdata(xmlnode_insert_tag(loMC,"string"),lcJID,-1);

              deliver(dpacket_new(xmlnode_dup(loRPC)),jtin->i);
              }
           else
              log_alert("smtp","ROSTER - JID not define for item: %s.",xmlnode2str(xmlnode_dup_pool(p,loJID)));

           }

       }

   pool_free(p);
   pthread_mutex_unlock(&paid_mutex);
   log_notice("smtp","PAID module - END");
   }




// create new thread for getting paid flag
result smtp_paid_daemon(void *arg)
   {
   pool p=pool_new();
   smtp_PoolsReg(30, p);

   smtp_tu par_o;

   par_o=pmalloco(p, sizeof(_smtp_tu));
   par_o->p=p;

   par_o->q=mtq_new(p);
   mtq_send(par_o->q, p, smtp_paid_mtq, (void *)par_o);
   return r_DONE;
   }
