#define SMTP_RC_DEFAULT_LANG  "en"
#define SMTP_RC_UNKNOWN       "Unknown string"
#define SMTP_RC_GATEWAY_DESCR  0
#define SMTP_RC_GATEWAY_PROMPT 1
#define SMTP_RC_REGISTER_MAIN_I 2
#define SMTP_RC_REGISTER_DATA_I  3
#define SMTP_RC_REGISTER_TITLE  4 


#define SMTP_RC_REGISTER_USEGLOBALSETTINGS_LBL  5
#define SMTP_RC_REGISTER_USEGLOBALSETTINGS_DSC  6 
#define SMTP_RC_REGISTER_ATTACHMENTS_LBL  7
#define SMTP_RC_REGISTER_ATTACHMENTS_DSC  8
#define SMTP_RC_REGISTER_ATTACHMENTS_VAL0_LBL  9
#define SMTP_RC_REGISTER_ATTACHMENTS_VAL1_LBL  10
#define SMTP_RC_REGISTER_ATTACHMENTS_VAL2_LBL  11
#define SMTP_RC_REGISTER_PGPJABBERTOMIME_LBL  12
#define SMTP_RC_REGISTER_PGPJABBERTOMIME_DSC  13
#define SMTP_RC_REGISTER_PGPTOJABBERNONMIMETOX_LBL  14
#define SMTP_RC_REGISTER_PGPTOJABBERNONMIMETOX_DSC  15


#define SMTP_RC_REGISTER_SR_MODE_LBL        16
#define SMTP_RC_REGISTER_SR_MODE_VAL0_LBL   17
#define SMTP_RC_REGISTER_SR_MODE_VAL1_LBL   18
#define SMTP_RC_REGISTER_SR_MODE_VAL2_LBL   19
#define SMTP_RC_REGISTER_SR_MODE_VAL3_LBL   20

#define SMTP_RC_REGISTER_SR_SEPARATOR_LBL   26
#define SMTP_RC_REGISTER_SR_TEXT_LBL   27

#define SMTP_RC_REGISTER_SR_HEAD            22

#define SMTP_RC_REGISTER_SR_DSC             21
#define SMTP_RC_REGISTER_SR_SEP_DSC         32
#define SMTP_RC_REGISTER_SR_TXT_DSC         33


#define SMTP_RC_REGISTER_J2SHEAD        24
#define SMTP_RC_REGISTER_S2JHEAD        25

#define SMTP_RC_REGISTER_PAID_LBL  28
#define SMTP_RC_REGISTER_ALLMESSAGESARESPAM_LBL      29
#define SMTP_RC_REGISTER_ALLMESSAGESARESPAM_DSC      30
#define SMTP_RC_REGISTER_ALLMESSAGESARESPAM_VAL0_LBL 34
#define SMTP_RC_REGISTER_ALLMESSAGESARESPAM_VAL1_LBL 35
#define SMTP_RC_REGISTER_ALLMESSAGESARESPAM_VAL2_LBL 36

#define SMTP_RC_GLOBAL_TITLE  50
#define SMTP_RC_GLOBAL_DATA   51
#define SMTP_RC_J2S_TITLE     52
#define SMTP_RC_J2S_DATA      53
#define SMTP_RC_S2J_TITLE     54
#define SMTP_RC_S2J_DATA      55
#define SMTP_RC_SL_TITLE      56
#define SMTP_RC_SL_DATA       57

#define SMTP_RC_VCARD_HISTORY        100
#define SMTP_RC_VCARD_TITLE          101
#define SMTP_RC_VCARD_ROLE           102
#define SMTP_RC_VCARD_BDAY           103


#define SMTP_RC_REGISTER_SL_LBL      120
#define SMTP_RC_REGISTER_SL_DSC      121

#define SMTP_RC_REGISTER_AS_LBL      122
#define SMTP_RC_REGISTER_AS_DSC      123


#define SMTP_RC_REGISTER_RT_MODE_LBL        150
#define SMTP_RC_REGISTER_RT_MODE_VAL0_LBL   151
#define SMTP_RC_REGISTER_RT_MODE_VAL1_LBL   152
#define SMTP_RC_REGISTER_RT_NAME_LBL        153
#define SMTP_RC_REGISTER_RT_ADDR_LBL        154
#define SMTP_RC_REGISTER_RT_DSC             158
#define SMTP_RC_REGISTER_RT_MODE_DSC        155
#define SMTP_RC_REGISTER_RT_NAME_DSC        156
#define SMTP_RC_REGISTER_RT_ADDR_DSC        157


#define SMTP_XXX_RCPT_NOTFOUND        200
#define SMTP_XXX_MUST_REGISTER        201
#define SMTP_XXX_MESSAGE_SENT         202
#define SMTP_XXX_TIMEOUT_1            203
#define SMTP_XXX_TIMEOUT_0            204

#define SMTP_XXX_SMTP_UNKNOWN_1       205
#define SMTP_XXX_SMTP_UNKNOWN_0       206
#define SMTP_XXX_NOSUBJECT            207
#define SMTP_CB_MESSAGE_HEADER        250

#define SMTP_RC_ID_2190 2190 // Send system message
#define SMTP_RC_ID_2200 2200 // Mode for sending system message from transport.
#define SMTP_RC_ID_2210 2210 // None
#define SMTP_RC_ID_2220 2220 // Message
#define SMTP_RC_ID_2230 2230 // Chat
#define SMTP_RC_ID_2240 2240 // Presence

#define SMTP_RC_ID_2250 2250 // E-mail data is overflow, limit - %i size -  %i from: %s
#define SMTP_RC_ID_2260 2260 // The sender (%s) is spammer.

#define SMTP_RC_ID_2270 2270 // You got e-mail from %s, but you are not register.%c
#define SMTP_RC_ID_2280 2280 // You got e-mail from %s, but your seting are "All is spam" or Sender isn't in roster.%c
#define SMTP_RC_ID_2290 2290 // You got e-mail from %s with empty body.%c
#define SMTP_RC_ID_2300 2300 // This mail from %s is probably spam and has not been accepted.%c

#define SMTP_RC_ID_2360 2360 // VIP:
#define SMTP_RC_ID_2370 2370 // VIP mode.
#define SMTP_RC_ID_2380 2380 // Yes
#define SMTP_RC_ID_2390 2390 // No

#define SMTP_RC_ID_2400 2400 // Mail mode:
#define SMTP_RC_ID_2410 2410 // Convert
#define SMTP_RC_ID_2420 2420 // RAW format
#define SMTP_RC_ID_2430 2430 // The mode for if mail will be convert to XMPP message with convertions or no.
#define SMTP_RC_ID_2440 2440 // Inline EML source for Jabbim
